


COMPRESS (1)            Public-Domain Utilities             COMPRESS (1)







NAME  

        compress, uncompress, zcat - compress and expand data 



SYNOPSIS  

        pcompressq [ p-fq ] [ p-vq ] [ p-cq ] [ p-Vq ] [ p-bq pbitsq ] [ pname ...q ] 

        puncompressq [ p-fq ] [ p-vq ] [ p-cq ] [ p-Vq ] [ pname ...q ] 

        pzcatq [ p-Vq ] [ pname ...q ] 



DESCRIPTION  

        pCompressq  reduces  the  size  of  the named files using adaptive

        Lempel-Ziv coding.  Whenever possible, each file is replaced  by

        one  with  the  extension  p.Z,q  while keeping the same ownership

        modes, access  and  modification  times.    If  no   files   are

        specified,  the  standard  input  is  compressed to the standard

        output.  Compressed files can be restored to their original form 

        using puncompressq or pzcat.q 



        The p-fq option will force compression of pname.q This is useful for 

        compressing an entire directory, even if some of  the  files  do

        not actually  shrink.  If p-fq is not given and pcompressq is run in

        the foreground, the user is prompted as to whether  an  existing

        file should be overwritten.  



        The  p-cq  option  makes pcompress/uncompressq write to the standard

        output; no files are changed.  The  nondestructive  behavior  of

        pzcatq is identical to that of puncompressq p-c.q 



        pCompressq  uses  the modified Lempel-Ziv algorithm popularized in

        "A Technique for High Performance Data  Compression",  Terry  A.

        Welch, pIEEE Computer,q vol.    17, no.  6 (June 1984), pp.  8-19.

        Common substrings in the file are first replaced by 9-bit  codes

        257 and up.  When code 512 is reached, the algorithm switches to 

        10-bit  codes  and  continues  to  use more bits until the limit

        specified by the p-bq flag is reached (default 16).  pBitsq must  be

        between  9  and  16. The default can be changed in the source to

        allow pcompressq to be run on a smaller machine.  



        After the pbitsq limit is attained, pcompressq  periodically  checks

        the compression  ratio.  If it is increasing, pcompressq continues

        to use  the  existing  code  dictionary.     However,   if   the

        compression  ratio  decreases,  pcompressq  discards  the table of

        substrings and rebuilds  it  from  scratch.    This  allows  the

        algorithm to adapt to the next "block" of the file.  



        Note that the p-bq flag is omitted for puncompress,q since the  pbitsq 

        parameter  specified  during  compression  is encoded within the

        output, along  with  a  magic  number  to  ensure  that  neither

        decompression  of  random  data  nor recompression of compressed

        data is attempted.  











Tue Jan 4 23:10:44 1994                                           Page 1







COMPRESS (1)            Public-Domain Utilities             COMPRESS (1)





        The amount of compression obtained depends on the  size  of  the

        input,  the  number  of  pbitsq  per code, and the distribution of

        common substrings.  Typically,  text  such  as  source  code  or

        English is  reduced  by  50-60%.   Compression is generally much

        better than that achieved by Huffman coding (as used  in  ppackq),

        or  adaptive  Huffman  coding  q(pcompactq),pqpq and takes less time to

        compute.  



        Under  the  p-vq  option,  a  message  is  printed  yielding   the

        percentage of reduction for each file compressed.  



        If  the  p-Vq option is specified, the current version and compile

        options are printed on stderr.  



        Exit status is normally 0; if the  last  file  is  larger  after

        (attempted)  compression,  the  status is 2; if an error occurs,

        exit status is 1.  



SEE ALSO  

        pack(1), compact(1) 



DIAGNOSTICS  

        Usage: compress [-dfvcV] [-b maxbits] [file ...] 

                Invalid options were specified on the command line.  

        Missing maxbits 

                Maxbits must follow p-bq.pqpq 

        pfileq: not in compressed format 

                The  file  specified  to   puncompressq   has   not   been

                compressed.  

        pfileq: compressed with  pxxq bits, can only handle  pyyq bits 

                pFileq  was  compressed  by a program that could deal with

                more  pbitsq than  the  compress  code  on  this  machine.

                Recompress the file with smaller pbitsq.  

        pfileq: already has .Z suffix -- no change 

                The file  is  assumed  to be already compressed.  Rename

                the file and try again.  

        pfileq: filename too long to tack on .Z 

                The file cannot be compressed because its name is longer 

                than 12 characters.  Rename and try again.  This message 

                does not occur on BSD systems.  

        pfileq already exists; do you wish to overwrite (y or n)?  

                Respond "y" if you want the output file to be  replaced;

                "n" if not.  

        uncompress: corrupt input 

                A  SIGSEGV  violation  was  detected which usually means

                that the input file has been corrupted.  

        Compression:  pxx.xx%q 

                Percentage of the input saved by compression.  (Relevant 

                only for p-vq.)pqpq 

        -- not a regular file: unchanged 

                When the input file is  not  a  regular  file,  (e.g.  a

                directory), it is left unaltered.  

        -- has  pxxq other links: unchanged 

                The input  file  has  links;  it is left unchanged.  See





Tue Jan 4 23:10:44 1994                                           Page 2







COMPRESS (1)            Public-Domain Utilities             COMPRESS (1)





                plnq(1) for more information.  

        -- file unchanged 

                No savings  is  achieved  by  compression.    The  input

                remains virgin.  



BUGS  

        Although  compressed  files are compatible between machines with

        large  memory,  p-bq12pqpq  should  be  used  for  file  transfer   to

        architectures with  a small process data space (64KB or less, as 

        exhibited by the DEC PDP series, the Intel 80286, etc.) 



        This  manual  page  does  not actually describe the Atari ST/TOS

        version.  



COPYRIGHT NOTE  

        This program is supplied with HERMES for your convenience.    It

        is  not covered by the HERMES license regulations, and is in the

        public domain, as far as I know.  










































Tue Jan 4 23:10:44 1994                                           Page 3




