.TH QUOTPRIN 1 "Hermes Programs"
.SH NAME
quotprin \- de- and encode for the
.I quotprin
content transfer encoding
.SH SYNOPSIS
.B quotprin
{
.B \-d
|
.B \-e
} [
.B \-ar
] [
.B -o offset
] [
.B \-l length
] [
.B infile
[
.B outfile
] ]
.SH DESCRIPTION
.B quotprin
de- or encodes binary data according to the quoted-printable
encoding described in RFC 1521.
.SH OPTIONS
.IP \-d
Decode.
.IP \-e
Encode.
.IP \-a
Append output to end of output file.
.IP \-r
Use CRLF sequences to separate lines of encoded output rather than just
NL characters.
.IP \-l length
.IP \-o offset
Use only the
.I offset
bytes of the output file starting at position
.I length
\. Allows extracting quoted-printable-encoded parts out of longer files.
.SH FILES
.I infile
and
.I outfile
\. Default is stdin/out. 
.I -
as either 
.I infile
or
.I outfile
also means stdin/out.
.SH BUGS
Combinations of options that do not make sense are, for the most part,
not reported to the user.
.SH AUTHOR
Martin P. Ibert.
.SH "SEE ALSO"
RFC 1521
.SH COPYRIGHT
.B Quotprin
is part of the Hermes package and is covered by the Hermes shareware
license agreement.
